org.eclipse.net4j.util.lifecycle

## Class LifecycleUtil.Delegator<T>

- java.lang.Object
- - org.eclipse.net4j.util.lifecycle.LifecycleUtil.Delegator<T>

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler
  Enclosing class:
    LifecycleUtil

      public static final class LifecycleUtil.Delegator<T>
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

  The `invocation handler` of the `dynamic proxy` created in `LifecycleUtil.delegateLifecycle()`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Delegator(T pojo, ILifecycle delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
    `static <T> T` | `newProxy(java.lang.ClassLoader loader, T pojo, java.lang.Class<?> pojoInterface, ILifecycle delegate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegator

          public Delegator(T pojo,
                           ILifecycle delegate)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object proxy,
                                         java.lang.reflect.Method method,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`

    - #### newProxy

          public static <T> T newProxy(java.lang.ClassLoader loader,
                                       T pojo,
                                       java.lang.Class<?> pojoInterface,
                                       ILifecycle delegate)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html